using System;
using System.Diagnostics;
using System.Collections.Generic;
using System.Text;

namespace Client
{
    class SmallClient
    {
        static void Main(string[] args)
        {
            femflawlessfs.EventLogService service = new Client.femflawlessfs.EventLogService();

            service.Url = "http://eventlogserver:5050/EventLogService";

            if (args.Length != 0)
            {
                Client.femflawlessfs.EventEntry[] Entries = service.GetTodaysEntries(args[0]);

                foreach (Client.femflawlessfs.EventEntry Entry in Entries)
                {
                    Console.WriteLine("=================================================");
                    Console.WriteLine(Entry.TimeGenerated.ToString());
                    Console.WriteLine(Entry.MachineName);
                    Console.WriteLine(Entry.Source);
                    Console.WriteLine(Entry.Message);
                    Console.WriteLine("=================================================");
                }
            }
            else
            {
                String[] Sources = service.GetEventLogSources();

                Console.WriteLine("Available Sources:");
                foreach (String source in Sources)
                {
                    Console.WriteLine("            " + source);
                }
            }
        }
    }
}
