using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel;

namespace EventLogServer
{
    class EventLogHost
    {
        static void Main(string[] args)
        {
            ServiceHost EventLogWCFHost = new ServiceHost(typeof(EventLogService));

            Console.WriteLine("BtK's Eventlog Service");
            Console.WriteLine("(C) 2007 Daniel -BtK- Kirstenpfad; http://www.technology-ninja.com");

            try
            {
                EventLogWCFHost.Open();

                Console.WriteLine("Eventlog Host started successfully");

                Console.WriteLine("Press Enter to terminate the service");
                Console.ReadLine();
            }
            finally
            {
                EventLogWCFHost.Close();
            }
        }
    }
}
